Index: trunk/expressoMail1_2/index.php
===================================================================
--- trunk/expressoMail1_2/index.php	(revision 5394)
+++ trunk/expressoMail1_2/index.php	(revision 5399)
@@ -19,42 +19,34 @@
 	//jquery and Editor 
  	        echo "  <link rel='Stylesheet' type='text/css' href='templates/default/expressoMail_reset.css' />
-					<script type='text/javascript' src='../prototype/app/plugins/jquery/jquery.min.js'></script>
-					<script type='text/javascript' src='../prototype/app/plugins/jquery/jquery-ui.min.js'></script>
-					<script type='text/javascript' src='../prototype/app/plugins/jquery/jquery-ui.custom.min.js'></script>
-					<script src='../prototype/app/plugins/json2/json2.js' language='javascript'></script>
-					<script src='../prototype/app/plugins/ejs/ejs.js' language='javascript'></script>
-					<script src='../prototype/app/plugins/store/jquery.store.js' language='javascript'></script>
-					<script src='../prototype/app/datalayer.js' language='javascript'></script>					
-					<script type='text/javascript' src='../prototype/app/plugins/scrollto/jquery.scrollTo.js'></script>
+					<script type='text/javascript' src='../prototype/plugins/jquery/jquery.min.js'></script>
+					<script type='text/javascript' src='../prototype/plugins/jquery/jquery-ui.min.js'></script>
+					<script type='text/javascript' src='../prototype/plugins/jquery/jquery-ui.custom.min.js'></script>
+					<script src='../prototype/plugins/json2/json2.js' language='javascript'></script>
+					<script src='../prototype/plugins/ejs/ejs.js' language='javascript'></script>
+					<script src='../prototype/plugins/store/jquery.store.js' language='javascript'></script>
+					<script src='../prototype/api/datalayer.js' language='javascript'></script>					
+					<script type='text/javascript' src='../prototype/plugins/scrollto/jquery.scrollTo.js'></script>
 					<script language='javascript'>DataLayer.dispatchPath = '../prototype/';</script>					
- 	                <script src='../library/ckeditor/ckeditor.js' language='javascript'></script> 
- 	                <script src='../library/ckeditor/adapters/jquery.js' language='javascript'></script> 
-					<link rel='Stylesheet' type='text/css' href='../prototype/app/plugins/jquery/jquery-ui.css' />					
-					<link rel='Stylesheet' type='text/css' href='../prototype/app/plugins/jquery/jquery-ui.custom.css' />
-					<script type='text/javascript' src='../prototype/app/plugins/timepicker/jquery-ui-timepicker-addon.js'></script>
-					<script type='text/javascript' src='../prototype/app/plugins/jquery/i18n/jquery.ui.datepicker-pt-BR.js'></script>
-					<link rel='Stylesheet' type='text/css' href='../prototype/app/plugins/timepicker/jquery-ui-timepicker-addon.css' />
-					<link rel='stylesheet' type='text/css' href='../prototype/app/plugins/zebradialog/css/zebra_dialog.css'></link>
-					<script type='text/javascript' src='../prototype/app/plugins/zebradialog/javascript/zebra_dialog.js'></script>
-					<script type='text/javascript' src='../prototype/app/plugins/datejs/date-pt-BR.js'></script>
-					<script type='text/javascript' src='../prototype/app/plugins/datejs/sugarpak.js'></script>
-					<script type='text/javascript' src='../prototype/app/plugins/datejs/parser.js'></script>
-					<script type='text/javascript' src='../prototype/app/plugins/dateFormat/dateFormat.js'></script>
-					<script type='text/javascript' src='../prototype/app/plugins/watermark/jquery.watermarkinput.js'></script>
-					<script type='text/javascript' src='../prototype/app/plugins/mask/jquery.maskedinput.js'></script>
-					<script type='text/javascript' src='../prototype/app/plugins/alphanumeric/jquery.alphanumeric.js'></script>
-					<script>
-					$.ajax({
-						url: '../prototype/modules/calendar/index.php',
-						async: false,
-						success: function(){
-						}
-					});
-					</script>
-					<script type='text/javascript' src='../prototype/app/plugins/timepicker/localization/jquery-ui-timepicker-pt-BR.js'></script>
-					<script type='text/javascript' src='../prototype/modules/calendar/js/calendar.codecs.js'></script>
-					<script type='text/javascript' src='../prototype/modules/calendar/js/helpers.js'></script>
-					<script type='text/javascript' src='../prototype/app/plugins/encoder/encoder.js'></script>
-					<script type='text/javascript' src='../prototype/app/plugins/qtip/jquery.qtip-1.0.0-rc3.min.js'></script>
+                                        <script src='../library/ckeditor/ckeditor.js' language='javascript'></script> 
+                                        <script src='../library/ckeditor/adapters/jquery.js' language='javascript'></script> 
+					<link rel='Stylesheet' type='text/css' href='../prototype/plugins/jquery/jquery-ui.css' />					
+					<link rel='Stylesheet' type='text/css' href='../prototype/plugins/jquery/jquery-ui.custom.css' />
+					<script type='text/javascript' src='../prototype/plugins/timepicker/jquery-ui-timepicker-addon.js'></script>
+					<script type='text/javascript' src='../prototype/plugins/jquery/i18n/jquery.ui.datepicker-pt-BR.js'></script>
+					<link rel='Stylesheet' type='text/css' href='../prototype/plugins/timepicker/jquery-ui-timepicker-addon.css' />
+					<link rel='stylesheet' type='text/css' href='../prototype/plugins/zebradialog/css/zebra_dialog.css'></link>
+					<script type='text/javascript' src='../prototype/plugins/zebradialog/javascript/zebra_dialog.js'></script>
+					<script type='text/javascript' src='../prototype/plugins/datejs/date-pt-BR.js'></script>
+					<script type='text/javascript' src='../prototype/plugins/datejs/sugarpak.js'></script>
+					<script type='text/javascript' src='../prototype/plugins/datejs/parser.js'></script>
+					<script type='text/javascript' src='../prototype/plugins/dateFormat/dateFormat.js'></script>
+					<script type='text/javascript' src='../prototype/plugins/watermark/jquery.watermarkinput.js'></script>
+					<script type='text/javascript' src='../prototype/plugins/mask/jquery.maskedinput.js'></script>
+					<script type='text/javascript' src='../prototype/plugins/alphanumeric/jquery.alphanumeric.js'></script>
+					<script type='text/javascript' src='../prototype/plugins/timepicker/localization/jquery-ui-timepicker-pt-BR.js'></script>
+                                        <script type='text/javascript' src='../prototype/modules/calendar/js/helpers.js'></script>
+                                        <script type='text/javascript' src='../prototype/modules/calendar/js/calendar.codecs.js'></script>
+					<script type='text/javascript' src='../prototype/plugins/encoder/encoder.js'></script>
+					<script type='text/javascript' src='../prototype/plugins/qtip/jquery.qtip-1.0.0-rc3.min.js'></script>
 					<script language='javascript'>var CalendarBkp = Calendar;</script>
                 <script src='js/rich_text_editor.js' type='text/javascript'></script>
@@ -77,52 +69,17 @@
 	echo '
 	
-	<script type="text/javascript" src="../prototype/app/plugins/treeview/jquery.treeview.js"></script>
-	<script type="text/javascript" src="../prototype/app/plugins/block/jquery.blockUI.js"></script>
-	<script type="text/javascript" src="../prototype/app/plugins/scrollto/jquery.scrollTo.js"></script>
-
-	<link rel="stylesheet" href="../prototype/app/plugins/treeview/jquery.treeview.css" type="text/css" media="screen" />
-	<script src="../prototype/app/plugins/jqgrid/js/i18n/grid.locale-pt-br.js" type="text/javascript"></script>
-	<script src="../prototype/app/plugins/jqgrid/js/jquery.jqGrid.min.js" type="text/javascript"></script>
-	<link rel="stylesheet" href="../prototype/app/plugins/jqgrid/css/ui.jqgrid.css" type="text/css" />	
-	<link rel="stylesheet" href="../prototype/app/plugins/jqgrid/themes/prognusone/jquery-ui-1.8.2.custom.css" type="text/css" />	
-
-	<script src="../prototype/app/plugins/countdown/jquery.countdown.min.js" type="text/javascript"></script>
-	<script src="../prototype/app/plugins/countdown/jquery.countdown-pt-BR.js" type="text/javascript"></script>	
+	<script type="text/javascript" src="../prototype/plugins/treeview/jquery.treeview.js"></script>
+	<script type="text/javascript" src="../prototype/plugins/block/jquery.blockUI.js"></script>
+	<script type="text/javascript" src="../prototype/plugins/scrollto/jquery.scrollTo.js"></script>
+
+	<link rel="stylesheet" href="../prototype/plugins/treeview/jquery.treeview.css" type="text/css" media="screen" />
+	<script src="../prototype/plugins/jqgrid/js/i18n/grid.locale-pt-br.js" type="text/javascript"></script>
+	<script src="../prototype/plugins/jqgrid/js/jquery.jqGrid.min.js" type="text/javascript"></script>
+	<link rel="stylesheet" href="../prototype/plugins/jqgrid/css/ui.jqgrid.css" type="text/css" />	
+	<link rel="stylesheet" href="../prototype/plugins/jqgrid/themes/prognusone/jquery-ui-1.8.2.custom.css" type="text/css" />	
+
+	<script src="../prototype/plugins/countdown/jquery.countdown.min.js" type="text/javascript"></script>
+	<script src="../prototype/plugins/countdown/jquery.countdown-pt-BR.js" type="text/javascript"></script>	
 	';
-
-	/**
-	* Importacao de plugins e dados do nova agenda
-	*
-	*
-	*/
-	
-	echo"
-		
-		<script type='text/javascript' src='../prototype/app/plugins/datejs/date-pt-BR.js'></script>
-		<script type='text/javascript' src='../prototype/app/plugins/datejs/sugarpak.js'></script>
-		<script type='text/javascript' src='../prototype/app/plugins/datejs/parser.js'></script>
-		<script type='text/javascript' src='../prototype/app/plugins/dateFormat/dateFormat.js'></script>
-		
-		<script src='../prototype/app/plugins/ejs/ejs.js' language='javascript'></script>
-		<script src='../prototype/app/plugins/store/jquery.store.js' language='javascript'></script>
-		<script src='../prototype/app/datalayer.js' language='javascript'></script>
-		<script type='text/javascript' src='../prototype/app/plugins/scrollto/jquery.scrollTo.js'></script>
-		<script language='javascript'>DataLayer.dispatchPath = '../prototype/';</script>
-	
-		<script>
-		$.ajax({
-				url: '../prototype/modules/calendar/index.php',
-				async: false,
-				success: function(){
-				}
-		});
-		</script>
-		<script type='text/javascript' src='../prototype/modules/calendar/js/calendar.codecs.js'></script>
-		<script type='text/javascript' src='../prototype/modules/calendar/js/helpers.js'></script>
-		<script language='javascript'>var CalendarBkp = Calendar;</script>
-
-	
-	
-	";
 	
 	 echo "<script language='javascript'>Calendar = $.extend(CalendarBkp, Calendar);</script>";
@@ -245,5 +202,5 @@
 	$template->set_var("user_email",$_SESSION['phpgw_info']['expressomail']['user']['email']);
 	include_once dirname(__FILE__) . '/../header.inc.php';
-	require_once dirname(__FILE__) . '/../API/class.servicelocator.php';
+	require_once dirname(__FILE__) . '/../services/class.servicelocator.php';
 	$alternativeMailService = ServiceLocator::getService('ldap');
 	$AlternateEmailExpresso = Array();
